Package Details: rawstudio-git 2.0.r624.gc140a5e-2

Git Clone URL: https://aur.archlinux.org/rawstudio-git.git (read-only, click to copy)
Package Base: rawstudio-git
Description: An open-source program to read and manipulate RAW images from digital cameras
Upstream URL: https://rawstudio.org
Licenses: GPL2
Conflicts: rawstudio
Provides: rawstudio
Submitter: haawda
Maintainer: alerque
Last Packager: alerque
Votes: 18
Popularity: 0.019481
First Submitted: 2014-12-18 22:03 (UTC)
Last Updated: 2022-03-30 19:05 (UTC)

Latest Comments

essbe commented on 2022-03-21 12:46 (UTC)

replacing line 22 in the pkgbuild with the following fixes the issue:

source=("$pkgname::git+https://github.com/rawstudio/${pkgname%-git}.git")

essbe commented on 2022-03-17 21:07 (UTC)

Tried to buid it, but it failed with the following error message: The unauthenticated git protocol on port 9418 is no longer supported. Please see https://github.blog/2021-09-01-improving-git-protocol-security-github/ for more information.

Would it be possible to fix this?

alerque commented on 2021-08-24 19:57 (UTC)

@guzzisti I've dropped that option as setting it is discouraged by AUR guidelines. Instead the correct way to get the same effect is to set your own MAKEFLAGS in the makepkg config, see here for details.

alerque commented on 2021-05-27 15:04 (UTC)

@guzzisti Good idea, done. That brought my build times down from 5:15 range to to south of 2 minutes ;-)

guzzisti commented on 2021-05-26 07:43 (UTC)

Can you modify the make call to use more than one job. This would improve build times a lot.

haawda commented on 2015-02-24 18:51 (UTC)

Sounds reasonable, done.

lenzenmi commented on 2015-02-24 02:22 (UTC)

Could you please change the dependency fftw-mpi to fftw * fftw is in the official repositories, and is used by many other packages, such as blender, luminancehdr, etc. * rawstudio only requires fftw3f.so, which is included in the official fftw package. * The PKGBUILD for fftw-mpi on the aur has not been updated, and is one version behind, requiring manual tweaking of the PKGBUILD to install the version that other oficial arch linux packages have been linked against. Thanks.

lenzenmi commented on 2014-08-05 02:26 (UTC)

automake does not need to be limited to automake-1.12 anymore. makedepends=('subversion' 'automake') # use automake-1.12 # patch -p1 -i "$srcdir/autogen.patch" Compiles fine for me.

rtfreedman commented on 2013-06-15 00:13 (UTC)

Added new dependency 'osm-gps-map', thanks for notifying.

lenzenmi commented on 2013-06-14 01:05 (UTC)

I had to add the 'osm-gps-map' package to the dependency list to get it to compile.

rtfreedman commented on 2013-04-23 05:27 (UTC)

Added some fixes - most notably made lensfun actually work and removed white space after line ending '\' in profiles/Makefile.am leaving out the rest of the camera profiles.

rtfreedman commented on 2013-04-10 16:07 (UTC)

Updated to pacman 4.1 & patched to use automake-1.12

crobe2 commented on 2013-03-23 13:28 (UTC)

I get those errors while trying to compile the package: Use of uninitialized value $line in pattern match (m//) at /usr/bin/automake line 3893. plugins/resample/Makefile.am:16: error: Libtool library used but 'LIBTOOL' is undefined plugins/resample/Makefile.am:16: The usual way to define 'LIBTOOL' is to add 'LT_INIT' plugins/resample/Makefile.am:16: to 'configure.in' and run 'aclocal' and 'autoconf' again. plugins/resample/Makefile.am:16: If 'LT_INIT' is in 'configure.in', make sure plugins/resample/Makefile.am:16: its definition is in aclocal's search path. plugins/rotate/Makefile.am:9: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS') Use of uninitialized value $line in pattern match (m//) at /usr/bin/automake line 3893. plugins/rotate/Makefile.am:16: error: Libtool library used but 'LIBTOOL' is undefined plugins/rotate/Makefile.am:16: The usual way to define 'LIBTOOL' is to add 'LT_INIT' plugins/rotate/Makefile.am:16: to 'configure.in' and run 'aclocal' and 'autoconf' again. plugins/rotate/Makefile.am:16: If 'LT_INIT' is in 'configure.in', make sure plugins/rotate/Makefile.am:16: its definition is in aclocal's search path. profiles/Makefile.am:1022: warning: whitespace following trailing backslash Use of uninitialized value $line in pattern match (m//) at /usr/bin/automake line 3893. src/Makefile.am:3: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS') Use of uninitialized value $line in pattern match (m//) at /usr/bin/automake line 3893. Running autoconf ... Running ./configure --enable-maintainer-mode --prefix=/usr ... configure: WARNING: unrecognized options: --enable-maintainer-mode ./configure: line 2156: syntax error near unexpected token `rawstudio,' ./configure: line 2156: `AM_INIT_AUTOMAKE(rawstudio, 2.1)'

jwhendy commented on 2011-08-03 02:05 (UTC)

Is anyone maintaining this? The libgphoto2 error still isn't fixed since Feb. Can you update the PKGBUILD? Thanks.

lenzenmi commented on 2011-02-22 01:32 (UTC)

I had to add libgphoto2 to the dependencies to get it to compile

commented on 2010-10-22 19:46 (UTC)

I think PKGBUILD should contain a "make clean" in order to deal with updates in libraries use by the program.

snuo commented on 2010-07-17 10:48 (UTC)

gdk-pixbuf should be added to the dependencies. Thanks for the PKGBUILD!

stativ commented on 2010-05-29 09:35 (UTC)

autogen dependency is not necessary.